Bug 39789 - Many "flag" enums are missing [Flags]
Summary: Many "flag" enums are missing [Flags]
Status: RESOLVED FIXED
Alias: None
Product: Xamarin.Mac
Classification: Desktop
Component: Library (Xamarin.Mac.dll) (show other bugs)
Version: 2.4.1 (C6SR1)
Hardware: Macintosh Mac OS
: Normal normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-03-19 17:17 UTC by SteveP
Modified: 2016-12-07 15:39 UTC (History)
3 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description SteveP 2016-03-19 17:17:44 UTC
NSApplicationPresentationOptions should have Flags attribute so that Source Analysis doesn't give warnings when or-ing
Comment 1 Chris Hamons 2016-03-21 13:59:41 UTC
It appears we have a number of enums "flags" fields that are not marked with [Flags]. I'm going to expand this bug's scope.
Comment 3 Chris Hamons 2016-12-06 22:35:20 UTC
https://github.com/xamarin/xamarin-macios/pull/1310
Comment 4 Chris Hamons 2016-12-07 15:39:16 UTC
Fixed in master.

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.